Updates the fee list with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

feelist
NameDescriptionTypeAdditional information
id

Primary key

globally unique identifier
name

Feelist Name

string

Required

Max length: 50

description

Fee list description

string

Max length: 255

is_default

is default fee list

boolean
default_price

decimal number

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating feelist

string
sales_organization

Embedded entity "sales_organization" using node when adding/updating feelist

sales_organization
reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date
db_currency_id

FK of db_currency

globally unique identifier
db_currency_code

Currency code using for adding/updating currency

string

Request Formats :

application/json, text/json

Sample:
{
  "id": "1e696027-a3ea-44af-bbc2-e47c24ff35e4",
  "name": "sample string 2",
  "description": "sample string 3",
  "is_default": true,
  "default_price": 1.0,
  "sales_organization_id": "d0da5be3-e5f1-4066-b233-bc07e3082376",
  "sales_organization_code": "sample string 6",
  "reference_back_office": "sample string 7",
  "modified_dateutc": "2026-08-19T18:09:09.3422058+00:00",
  "db_currency_id": "7100c892-cc65-4ea1-b46b-5f2fff5bacaf",
  "db_currency_code": "sample string 10"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.